• Русский
  • ApprovalTask [openshiftpipelines.org/v1alpha1]

    Description
    ApprovalTask is a "wait for manual approval" Task.
    Type
    object
    Required
    status

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    Spec holds the desired state of the TaskGroup from the client

    statusobject

    .spec

    Description
    Spec holds the desired state of the TaskGroup from the client
    Type
    object
    Required
    approversnumberOfApprovalsRequired
    PropertyTypeDescription
    approversarray
    descriptionstring
    numberOfApprovalsRequiredinteger

    .spec.approvers

    Type
    array

    .spec.approvers[]

    Type
    object
    Required
    inputnametype
    PropertyTypeDescription
    inputstring
    messagestring
    namestring
    typestring
    usersarray

    .spec.approvers[].users

    Type
    array

    .spec.approvers[].users[]

    Type
    object
    Required
    inputname
    PropertyTypeDescription
    inputstring
    namestring

    .status

    Type
    object
    Required
    state
    PropertyTypeDescription
    annotationsobject

    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

    approvalsReceivedinteger

    ApprovalsReceived is the number of approvals received so far

    approvalsRequiredinteger

    ApprovalsRequired is the number of approvals required for the task

    approversarray
    approversResponsearray
    conditionsarray

    Conditions the latest available observations of a resource's current state.

    observedGenerationinteger

    ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

    startTimestring

    StartTime is the time the build is actually started.

    statestring

    .status.annotations

    Description
    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
    Type
    object

    .status.approvers

    Type
    array

    .status.approvers[]

    Type
    string

    .status.approversResponse

    Type
    array

    .status.approversResponse[]

    Type
    object
    Required
    nameresponsetype
    PropertyTypeDescription
    groupMembersarray
    messagestring
    namestring
    responsestring
    typestring

    .status.approversResponse[].groupMembers

    Type
    array

    .status.approversResponse[].groupMembers[]

    Type
    object
    Required
    nameresponse
    PropertyTypeDescription
    messagestring
    namestring
    responsestring

    .status.conditions

    Description
    Conditions the latest available observations of a resource's current state.
    Type
    array

    .status.conditions[]

    Description
    Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring

    LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

    messagestring

    A human readable message indicating details about the transition.

    reasonstring

    The reason for the condition's last transition.

    severitystring

    Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of condition.

    API Endpoints

    The following API endpoints are available:

    • /apis/openshiftpipelines.org/v1alpha1/namespaces/{namespace}/approvaltasks
      • DELETE: delete collection of ApprovalTask
      • GET: list objects of kind ApprovalTask
      • POST: create a new ApprovalTask
    • /apis/openshiftpipelines.org/v1alpha1/namespaces/{namespace}/approvaltasks/{name}
      • DELETE: delete the specified ApprovalTask
      • GET: read the specified ApprovalTask
      • PATCH: partially update the specified ApprovalTask
      • PUT: replace the specified ApprovalTask
    • /apis/openshiftpipelines.org/v1alpha1/namespaces/{namespace}/approvaltasks/{name}/status
      • GET: read status of the specified ApprovalTask
      • PATCH: partially update status of the specified ApprovalTask
      • PUT: replace status of the specified ApprovalTask

    /apis/openshiftpipelines.org/v1alpha1/namespaces/{namespace}/approvaltasks

    HTTP method
    DELETE
    Description
    delete collection of ApprovalTask
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ApprovalTask
    HTTP responses
    HTTP codeResponse body
    200 - OKApprovalTaskList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ApprovalTask
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyApprovalTask schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKApprovalTask schema
    201 - CreatedApprovalTask schema
    202 - AcceptedApprovalTask schema
    401 - UnauthorizedEmpty

    /apis/openshiftpipelines.org/v1alpha1/namespaces/{namespace}/approvaltasks/{name}

    HTTP method
    DELETE
    Description
    delete the specified ApprovalTask
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ApprovalTask
    HTTP responses
    HTTP codeResponse body
    200 - OKApprovalTask schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ApprovalTask
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKApprovalTask schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ApprovalTask
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyApprovalTask schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKApprovalTask schema
    201 - CreatedApprovalTask schema
    401 - UnauthorizedEmpty

    /apis/openshiftpipelines.org/v1alpha1/namespaces/{namespace}/approvaltasks/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ApprovalTask
    HTTP responses
    HTTP codeResponse body
    200 - OKApprovalTask schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ApprovalTask
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKApprovalTask schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ApprovalTask
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyApprovalTask schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKApprovalTask schema
    201 - CreatedApprovalTask schema
    401 - UnauthorizedEmpty